Problems starting webserver (WEBRick) on Rails


Login or Register for Dates, Times and to Reply

 
Thread Tools Search this Thread
# 1  
Problems starting webserver (WEBRick) on Rails

Good afternoon:
I need your help please:
Im new at web applications and i started taking a Ruby on Rails course and as a part of the installations i followed the instructions given on page:
Code:
http://railsapps.github.io/installrubyonrails-ubuntu.html

I followed every step and id did not yield any errors so far
1 install RVM and its updates, rails and its updates, ruby and its updates, gems and etcetera

But by the time i started the web server it yields me a bunch of errors:

Code:
rails server

Code:
	27: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/bootsnap-1.4.5/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:22:in `require'
	26: from /home/ubuntu/hello_WWW/config/environment.rb:5:in `<main>'
	25: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/application.rb:363:in `initialize!'
	24: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:60:in `run_initializers'
	23: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:205:in `tsort_each'
	22: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:226:in `tsort_each'
	21: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in `each_strongly_connected_component'
	20: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in `call'
	19: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in `each'
	18: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:349:in `block in each_strongly_connected_component'
	17: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:431:in `each_strongly_connected_component_from'
	16: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
	15: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:228:in `block in tsort_each'
	14: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:61:in `block in run_initializers'
	13: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:32:in `run'
	12: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:32:in `instance_exec'
	11: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/railtie.rb:84:in `block in <class:Engine>'
	10: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker.rb:27:in `bootstrap'
	 9: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/commands.rb:14:in `bootstrap'
	 8: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/manifest.rb:18:in `refresh'
	 7: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/manifest.rb:83:in `load'
	 6: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:47:in `public_manifest_path'
	 5: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:43:in `public_output_path'
	 4: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:39:in `public_path'
	 3: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:80:in `fetch'
	 2: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:84:in `data'
	 1: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:87:in `load'
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:91:in `rescue in load': Webpacker configuration file not found /home/ubuntu/hello_WWW/config/webpacker.yml. Please run rails webpacker:install Error: No such file or directory @ rb_sysopen - /home/ubuntu/hello_WWW/config/webpacker.yml (RuntimeError)

and when i see the rails vesrion: rails -v it prints out the following:

Code:
ubuntu@ubuntu-N53SV:~/hello_WWW$ rails -v
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils/version.rb:4: warning: already initialized constant FileUtils::VERSION
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils/version.rb:4: warning: previous definition of VERSION was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1267: warning: already initialized constant FileUtils::Entry_::S_IF_DOOR
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1285: warning: previous definition of S_IF_DOOR was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1540: warning: already initialized constant FileUtils::Entry_::DIRECTORY_TERM
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1568: warning: previous definition of DIRECTORY_TERM was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1595: warning: already initialized constant FileUtils::OPT_TABLE
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1626: warning: previous definition of OPT_TABLE was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1649: warning: already initialized constant FileUtils::LOW_METHODS
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1685: warning: previous definition of LOW_METHODS was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1656: warning: already initialized constant FileUtils::METHODS
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1692: warning: previous definition of METHODS was here
Rails 6.0.0

the third problem that i face is when the terminal is closed and i start a new sesion the commnads are not recognized and the configuration is lost:
Code:
rails -v
order not found
try: sudo apt install <nombre del paquete deb

I appreciate your help in advanced
# 2  
Lets tackle the problems on step at a time:

How about this error message in your post:

Code:
Webpacker configuration file not found /home/ubuntu/hello_WWW/config/webpacker.yml. Please run rails webpacker:install Error: No such file or directory @ rb_sysopen - /home/ubuntu/hello_WWW/config/webpacker.yml (RuntimeError)

Did you run webpacker:install per the error message instructions?
# 3  
Good evening:
thereafter i run this command rails webpacker , yields a bunch of warnings so:

Code:
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils/version.rb:4: warning: already initialized constant FileUtils::VERSION
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils/version.rb:4: warning: previous definition of VERSION was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1267: warning: already initialized constant FileUtils::Entry_::S_IF_DOOR
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1285: warning: previous definition of S_IF_DOOR was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1540: warning: already initialized constant FileUtils::Entry_::DIRECTORY_TERM
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1568: warning: previous definition of DIRECTORY_TERM was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1595: warning: already initialized constant FileUtils::OPT_TABLE
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1626: warning: previous definition of OPT_TABLE was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1649: warning: already initialized constant FileUtils::LOW_METHODS
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1685: warning: previous definition of LOW_METHODS was here
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/fileutils.rb:1656: warning: already initialized constant FileUtils::METHODS
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/fileutils-1.3.0/lib/fileutils.rb:1692: warning: previous definition of METHODS was here
Available Webpacker tasks are:
webpacker:info                Provides information on Webpacker's environment
webpacker:install             Installs and setup webpack with Yarn
webpacker:compile             Compiles webpack bundles based on environment
webpacker:clobber             Removes the webpack compiled output directory
webpacker:check_node          Verifies if Node.js is installed
webpacker:check_yarn          Verifies if Yarn is installed
webpacker:check_binstubs      Verifies that webpack & webpack-dev-server are present
webpacker:binstubs            Installs Webpacker binstubs in this application
webpacker:verify_install      Verifies if Webpacker is installed
webpacker:yarn_install        Support for older Rails versions. Install all JavaScript dependencies as specified via Yarn
webpacker:install:react       Installs and setup example React component
webpacker:install:vue         Installs and setup example Vue component
webpacker:install:angular     Installs and setup example Angular component
webpacker:install:elm         Installs and setup example Elm component
webpacker:install:stimulus    Installs and setup example Stimulus component
webpacker:install:erb         Installs Erb loader with an example
webpacker:install:coffee      Installs CoffeeScript loader with an example
webpacker:install:typescript  Installs Typescript loader with an example

I would appreciate your help in advanced

--- Post updated at 10:05 PM ---

by searching at google i found some commands to solve the issue but they didnt

Code:
gem uninstall fileutils

output

Code:
output
ERROR:  While executing gem ... (Gem::InstallError)
    fileutils is not installed in GEM_HOME, try:
	gem uninstall -i /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0 fileutils

ubuntu@ubuntu-N53SV:~/hello_WWW$ gem uninstall -i /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0 fileutils

output
Successfully uninstalled fileutils-1.3.0
ubuntu@ubuntu-N53SV:~/hello_WWW$

Code:
gem update –default

output:

Code:
Updating installed gems
Updating fileutils
Fetching fileutils-1.3.0.gem
Successfully installed fileutils-1.3.0
Updating nokogiri
Fetching nokogiri-1.10.5.gem
Successfully installed nokogiri-1.10.5
Updating zeitwerk
Fetching zeitwerk-2.2.1.gem
Successfully installed zeitwerk-2.2.1
Gems updated: fileutils nokogiri zeitwerk

run once again rails server:

output:

Code:
	27: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/bootsnap-1.4.5/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:22:in `require'
	26: from /home/ubuntu/hello_WWW/config/environment.rb:5:in `<main>'
	25: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/application.rb:363:in `initialize!'
	24: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:60:in `run_initializers'
	23: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:205:in `tsort_each'
	22: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:226:in `tsort_each'
	21: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in `each_strongly_connected_component'
	20: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in `call'
	19: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in `each'
	18: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:349:in `block in each_strongly_connected_component'
	17: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:431:in `each_strongly_connected_component_from'
	16: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
	15: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:228:in `block in tsort_each'
	14: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:61:in `block in run_initializers'
	13: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:32:in `run'
	12: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/railties-6.0.0/lib/rails/initializable.rb:32:in `instance_exec'
	11: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/railtie.rb:84:in `block in <class:Engine>'
	10: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker.rb:27:in `bootstrap'
	 9: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/commands.rb:14:in `bootstrap'
	 8: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/manifest.rb:18:in `refresh'
	 7: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/manifest.rb:83:in `load'
	 6: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:47:in `public_manifest_path'
	 5: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:43:in `public_output_path'
	 4: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:39:in `public_path'
	 3: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:80:in `fetch'
	 2: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:84:in `data'
	 1: from /home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:87:in `load'
/home/ubuntu/.rvm/rubies/ruby-2.6.3/lib/ruby/gems/2.6.0/gems/webpacker-4.0.7/lib/webpacker/configuration.rb:91:in `rescue in load': Webpacker configuration file not found /home/ubuntu/hello_WWW/config/webpacker.yml. Please run rails webpacker:install Error: No such file or directory @ rb_sysopen - /home/ubuntu/hello_WWW/config/webpacker.yml (RuntimeError)

run once again rails webpacker:

Code:
[vailable Webpacker tasks are:
webpacker:info                Provides information on Webpacker's environment
webpacker:install             Installs and setup webpack with Yarn
webpacker:compile             Compiles webpack bundles based on environment
webpacker:clobber             Removes the webpack compiled output directory
webpacker:check_node          Verifies if Node.js is installed
webpacker:check_yarn          Verifies if Yarn is installed
webpacker:check_binstubs      Verifies that webpack & webpack-dev-server are present
webpacker:binstubs            Installs Webpacker binstubs in this application
webpacker:verify_install      Verifies if Webpacker is installed
webpacker:yarn_install        Support for older Rails versions. Install all JavaScript dependencies as specified via Yarn
webpacker:install:react       Installs and setup example React component
webpacker:install:vue         Installs and setup example Vue component
webpacker:install:angular     Installs and setup example Angular component
webpacker:install:elm         Installs and setup example Elm component
webpacker:install:stimulus    Installs and setup example Stimulus component
webpacker:install:erb         Installs Erb loader with an example
webpacker:install:coffee      Installs CoffeeScript loader with an example
webpacker:install:typescript  Installs Typescript loader with an example


Thanks for your help in advanced:
# 4  
Good evening

i dont know it has something to do with versioning incompatbility or something like that

I aooreciate your help in advanced
# 5  
When I get a chance, I will try to install Ruby on Ubuntu and get back to you.

Sorry for being busy and for any delay.
# 6  
Sidebar question:

Did you install nodejs before attempting to install ruby?

From your log entries, it seems you did not install nodejs and went straight to the ruby install, is that right?
# 7  
Good evening

I appreciate both for your help;

As far as i know i installed node js according to instructions from url
Code:
railsapps.github.io/installing-rails.html

i installed node js bit i did not set it to PATH, dont know it has something to do with those errors:

these are the steps:

Code:
sudo apt-get update

Code:
sudo apt-get install curl

Code:
\curl -L https://get.rvm.io | bash -s stable --ruby

If You Already Have RVM Installed
If you already have RVM installed, update it to the latest version and install Ruby:

Code:
$ rvm get stable --autolibs=enable
$ rvm install ruby
$ rvm --default use ruby-2.4.2

Code:
Install Node.js
sudo apt-get install nodejs

and set it in your $PATH. .. I DID NOT DO IT, dont know it has something to do

If you don’t install Node.js, you’ll need to add this to the Gemfile for each Rails application you build:

Code:
gem 'therubyracer'
gem update --system
rvm gemset list
$ rvm gemset use global
$ gem list

Code:
gem install bundler

i did not consider necessary Rails installation options so i skipped these steps, dont know its has sth to do

Once again I appreciate your help in advanced
Login or Register for Dates, Times and to Reply

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

8 More Discussions You Might Find Interesting

1. UNIX for Dummies Questions & Answers

How to grep a line not starting with # from a file (there are two lines starting with # and normal)?

e.g. File name: File.txt cat File.txt Result: #INBOUND_QUEUE=FAQ1 INBOUND_QUEUE=FAQ2 I want to get the value for one which is not commented out. Thanks, (3 Replies)
Discussion started by: Tanu
3 Replies

2. Programming

Ubuntu ruby on rails

Hi, I am a php developer and I decided to learn ruby on rails. I have a few question. I have an ubuntu virtual machine with lamp. It mean that it has alrweady php and when I access the ip of the machine from my browser it does load the index.php. if I install ruby on rails will theere... (0 Replies)
Discussion started by: programAngel
0 Replies

3. Programming

issues regarding <frameset> usage in webrick servlets, pls help

Hi all, Ive been trying to execute <frameset> tags within webrick servlets.. But when the server is started i get erreneous o/p ... The html code if executed individually runs flawlesswelly but inside the servlet it cribs... Could anyone please help me out? (0 Replies)
Discussion started by: wrapster
0 Replies

4. Web Development

how to pass data in webrick sevelts? please help

Hi all, I am a newbie to servlet programming using webrick... Was wondering how to accept data from a form and do necessary processing.. To start with i wrote a sample servlet that accepts a name and prints "welcome <name>" But I do not know how to take this value from the form into the... (0 Replies)
Discussion started by: wrapster
0 Replies

5. Web Development

Problems starting Apache 2.0.54

Hi, I just installed Apache 2.0.54 and when I try and start httpd I get mohit@mohit-desktop:/sw/pkg/apache/bin$ ./httpd -k start httpd: Could not determine the server's fully qualified domain name, using 127.0.1.1 for ServerName (13): make_sock: could not bind to address :80 no listening... (1 Reply)
Discussion started by: mojoman
1 Replies

6. Solaris

Having problems starting up NFS on an OpenSolaris box

I am trying to set up an OpenSolaris box to be an NFS server. The OpenSolaris version is 2008.11. The kernel (uname -a output) is: SunOS minime-28 5.11 snv_101b i86pc i386 i86pc It is running ZFS but I know nothing about ZFS. I have an entry in the /etc/dfs/dfstab file: share -F... (1 Reply)
Discussion started by: sqa777
1 Replies

7. UNIX for Dummies Questions & Answers

Problems starting X windows

After i login i try to start X windows by using the "startx" command. All it does is return "startx: Command not found". Any help would be great.:), By the way I'm using freeBSD. (1 Reply)
Discussion started by: spacebizall
1 Replies

8. Solaris

Problems starting apache 1.3 with mysql

Ive been working on a project to replace one of the my groups primary NIS servers. It also runs mysql and apache, as it is the host for the our teams hardware tracking database and website. Its running apache 1.3, and for some odd reason, I cant get apache to start on system boot. The... (1 Reply)
Discussion started by: godspunk32
1 Replies

Featured Tech Videos